Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000355KdenliveUser Interfacepublic2008-11-14 22:122009-07-01 21:55
Reporterdoitux 
Assigned Toddennedy 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionRecent git 
Target Version0.7.5Fixed in Version0.7.5 
Summary0000355: crash when playback during video-thumbnail creation
DescriptionI have a bigger project with around 35GB dv files. When i load this project it takes around 30 seconds to create video thumbnails. If i playback the timeline before thumbnail creation is done kdenlive will crash when the thumbnails are ready and where shown in the timeline.

demo screencast and backtrace attached.
TagsNo tags attached.
Build/Install Method(select)
Attached Files? file icon loadprojectwhileplayback_crash.avi [^] (2,613,966 bytes) 2008-11-14 22:12
log file icon loadprojectwhileplayback_crash.log [^] (6,514 bytes) 2008-11-14 22:15 [Show Content]

- Relationships
related to 0000466closed resizing video while thumbnails are genrated lead to crash 

-  Notes
(0001221)
ddennedy (developer)
2008-11-16 07:48

It is crashing in MLT/FFmpeg, but it is not obvious why from the backtrace. I will try to reproduce it so I can debug further and get back.
(0001433)
ddennedy (developer)
2008-11-27 01:49

I am reproducing this, but when I run in the debugger, I get a SIGABRT somewhere inside Qt:

*** glibc detected *** kdenlive: corrupted double-linked list: 0xaa26f8b8 ***
======= Backtrace: =========
/lib/libc.so.6[0xb66c1a74]
/lib/libc.so.6[0xb66c1d14]
/lib/libc.so.6[0xb66c3ced]
/lib/libc.so.6(__libc_malloc+0x9c)[0xb66c5c1c]
/usr/lib/libQtGui.so.4(_ZN11QTextEngine10LayoutData10reallocateEi+0x7e)[0xb6d4e40e]
/usr/lib/libQtGui.so.4(_ZNK11QTextEngine10attributesEv+0x290)[0xb6d544f0]
/usr/lib/libQtGui.so.4(_ZN9QTextLine13layout_helperEi+0x1e3)[0xb6d59093]
/usr/lib/libQtGui.so.4(_ZN9QTextLine13setNumColumnsEi+0x75)[0xb6d5a2d5]
/usr/lib/libQtGui.so.4(_ZN11QTextLayout9endLayoutEv+0x71)[0xb6d5a361]
/usr/lib/libQtGui.so.4[0xb6ec2d4a]
/usr/lib/libQtGui.so.4[0xb6ec72fb]
/usr/lib/libQtGui.so.4[0xb6ec70f4]
/usr/lib/libQtGui.so.4(_ZN9QLineEdit7setTextERK7QString+0x2b)[0xb6ec9bdb]
/usr/lib/libkdeui.so.5(_ZN9KLineEdit7setTextERK7QString+0x3e)[0xb7cdd7be]
kdenlive(_ZN7Monitor10seekCursorEi+0x9e)[0x80cb8ee]
kdenlive(_ZN7Monitor11qt_metacallEN11QMetaObject4CallEiPPv+0x34c)[0x80d040c]
/usr/lib/libQtCore.so.4(_ZN14QMetaCallEvent13placeMetaCallEP7QObject+0x2b)[0xb744173b]
/usr/lib/libQtCore.so.4(_ZN7QObject5eventEP6QEvent+0x231)[0xb74432e1]
/usr/lib/libQtGui.so.4(_ZN7QWidget5eventEP6QEvent+0x56)[0xb6bcb6f6]
/usr/lib/libQtGui.so.4(_ZN19QApplicationPrivate13notify_helperEP7QObjectP6QEvent+0xbc)[0xb6b79b1c]
/usr/lib/libQtGui.so.4(_ZN12QApplication6notifyEP7QObjectP6QEvent+0x18a)[0xb6b7ffea]
/usr/lib/libkdeui.so.5(_ZN12KApplication6notifyEP7QObjectP6QEvent+0x3d)[0xb7c2219d]
/usr/lib/libQtCore.so.4(_ZN16QCoreApplication14notifyInternalEP7QObjectP6QEvent+0xb1)[0xb7434fc1]
/usr/lib/libQtCore.so.4(_ZN23QCoreApplicationPrivate16sendPostedEventsEP7QObjectiP11QThreadData+0x2c9)[0xb7435919]
/usr/lib/libQtCore.so.4(_ZN16QCoreApplication16sendPostedEventsEP7QObjecti+0x2d)[0xb7435aad]
/usr/lib/libQtCore.so.4[0xb745b9ef]
/usr/lib/libglib-2.0.so.0(g_main_context_dispatch+0x1f1)[0xb5b3c2c1]
/usr/lib/libglib-2.0.so.0[0xb5b3f953]
/usr/lib/libglib-2.0.so.0(g_main_context_iteration+0x71)[0xb5b3fb11]
/usr/lib/libQtCore.so.4(_ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE+0x58)[0xb745b648]
/usr/lib/libQtGui.so.4[0xb6c02955]
/usr/lib/libQtCore.so.4(_ZN16QCoreApplication13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE+0x46)[0xb7435ce6]
kdenlive(_ZN15CustomTrackView19slotUpdateAllThumbsEv+0xc9)[0x812a719]
kdenlive(_ZN15CustomTrackView11qt_metacallEN11QMetaObject4CallEiPPv+0x83)[0x8146ec3]
/usr/lib/libQtCore.so.4(_ZN11QMetaObject8activateEP7QObjectiiPPv+0x20b)[0xb744681b]
/usr/lib/libQtCore.so.4(_ZN11QMetaObject8activateEP7QObjectPKS_iPPv+0x52)[0xb7446d72]
kdenlive(_ZN11ProjectList13loadingIsOverEv+0x29)[0x80bbba9]
kdenlive(_ZN11ProjectList11qt_metacallEN11QMetaObject4CallEiPPv+0x7d)[0x80c4b0d]
/usr/lib/libQtCore.so.4(_ZN11QMetaObject8activateEP7QObjectiiPPv+0x20b)[0xb744681b]
/usr/lib/libQtCore.so.4(_ZN11QMetaObject8activateEP7QObjectPKS_iPPv+0x52)[0xb7446d72]
/usr/lib/libQtCore.so.4[0xb744d817]
/usr/lib/libQtCore.so.4[0xb744d93c]
/usr/lib/libQtCore.so.4(_ZN7QObject5eventEP6QEvent+0x7f)[0xb744312f]
/usr/lib/libQtGui.so.4(_ZN19QApplicationPrivate13notify_helperEP7QObjectP6QEvent+0xbc)[0xb6b79b1c]
/usr/lib/libQtGui.so.4(_ZN12QApplication6notifyEP7QObjectP6QEvent+0xbe)[0xb6b7ff1e]
/usr/lib/libkdeui.so.5(_ZN12KApplication6notifyEP7QObjectP6QEvent+0x3d)[0xb7c2219d]
/usr/lib/libQtCore.so.4(_ZN16QCoreApplication14notifyInternalEP7QObjectP6QEvent+0xb1)[0xb7434fc1]
/usr/lib/libQtCore.so.4[0xb745eb21]
/usr/lib/libQtCore.so.4[0xb745b6f0]
/usr/lib/libglib-2.0.so.0(g_main_context_dispatch+0x1f1)[0xb5b3c2c1]
/usr/lib/libglib-2.0.so.0[0xb5b3f953]
/usr/lib/libglib-2.0.so.0(g_main_context_iteration+0x71)[0xb5b3fb11]
/usr/lib/libQtCore.so.4(_ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE+0x58)[0xb745b648]
/usr/lib/libQtGui.so.4[0xb6c02955]
/usr/lib/libQtCore.so.4(_ZN10QEventLoop13processEventsE6QFlagsINS_17ProcessEventsFlagEE+0x4a)[0xb743372a]
/usr/lib/libQtCore.so.4(_ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE+0xea)[0xb74338ea]
/usr/lib/libQtCore.so.4(_ZN16QCoreApplication4execEv+0xad)[0xb7435b6d]
/usr/lib/libQtGui.so.4(_ZN12QApplication4execEv+0x27)[0xb6b79997]
kdenlive(main+0xa95)[0x809e315]
/lib/libc.so.6(__libc_start_main+0xe5)[0xb666c5c5]
kdenlive(_ZN9QListView10paintEventEP11QPaintEvent+0x689)[0x8098f81]
(0001436)
ddennedy (developer)
2008-11-27 01:58

Reproduced twice in a row with the same sort of backtrace. This third time, I get something completely different:

*** glibc detected *** kdenlive: malloc(): memory corruption: 0xb0b57b40 ***
======= Backtrace: =========
/lib/libc.so.6[0xb680fa74]
/lib/libc.so.6[0xb6812130]
/lib/libc.so.6[0xb6812c71]
/lib/libc.so.6(__libc_memalign+0xec)[0xb6813e4c]
/usr/lib/libavutil.so.49(av_mallocz+0x38)[0xb6057ff8]
...
(gdb) thread apply all bt
...
Thread 31 (Thread 0xb0697b90 (LWP 4173)):
#0 0xb809a424 in __kernel_vsyscall ()
#1 0xb67ce720 in raise () from /lib/libc.so.6
0000002 0xb67d0058 in abort () from /lib/libc.so.6
0000003 0xb6809c8d in __libc_message () from /lib/libc.so.6
0000004 0xb680fa74 in malloc_printerr () from /lib/libc.so.6
0000005 0xb6812130 in _int_malloc () from /lib/libc.so.6
0000006 0xb6812c71 in _int_memalign () from /lib/libc.so.6
0000007 0xb6813e4c in memalign () from /lib/libc.so.6
0000008 0xb6057ff8 in av_mallocz () from /usr/lib/libavutil.so.49
0000009 0x00000010 in ?? ()
Backtrace stopped: previous frame inner to this frame (corrupt stack?)
(0001437)
ddennedy (developer)
2008-11-27 02:03

Got another one with segfault, somewhere untracable within ffmpeg:
(gdb) where full
#0 0xb60f857b in put_pixels_clamped_mmx () from /usr/lib/libavcodec.so.52
No symbol table info available.
#1 0xb615a7e0 in ff_simple_idct_put_mmx () from /usr/lib/libavcodec.so.52
No symbol table info available.

I wonder if some ffmpeg libs usage is not properly protected against thread reentrancy in the MLT producer_avformat.
(0003422)
doitux (updater)
2009-06-24 00:49

its now working in svn. so this can be closed
(0003425)
xzhayon (developer)
2009-06-24 00:53

fixed in the middle of nowhere

- Issue History
Date Modified Username Field Change
2008-11-14 22:12 doitux New Issue
2008-11-14 22:12 doitux File Added: loadprojectwhileplayback_crash.avi
2008-11-14 22:15 doitux File Added: loadprojectwhileplayback_crash.log
2008-11-16 07:48 ddennedy Note Added: 0001221
2008-11-16 07:51 ddennedy Status new => assigned
2008-11-16 07:51 ddennedy Assigned To => ddennedy
2008-11-27 01:49 ddennedy Note Added: 0001433
2008-11-27 01:58 ddennedy Note Added: 0001436
2008-11-27 02:03 ddennedy Note Added: 0001437
2008-12-16 21:29 ddennedy Relationship added related to 0000466
2009-06-24 00:49 doitux Note Added: 0003422
2009-06-24 00:53 xzhayon Note Added: 0003425
2009-06-24 00:53 xzhayon Status assigned => resolved
2009-06-24 00:53 xzhayon Fixed in Version => Recent git
2009-06-24 00:53 xzhayon Resolution open => fixed
2009-06-24 00:53 xzhayon Build/Install Method => (select)
2009-06-24 00:53 xzhayon Target Version => future version
2009-06-26 21:01 administrator Fixed in Version Recent git => 0.7.5
2009-06-26 21:07 administrator Fixed in Version 0.7.5 => Recent git
2009-06-26 21:07 administrator Target Version future version => 0.7.5
2009-07-01 20:02 j-b-m Fixed in Version Recent git => 0.7.5
2009-07-01 21:55 xzhayon Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker